EventBufferEvent::getOutput
EventBufferEvent::readBuffer
EventBufferEvent
PHP Manual

# EventBufferEvent::read

Read buffer's data

### Description

public int EventBufferEvent::read ( string `&$data` , int `$size` )

Removes up to `size` bytes from the input buffer, storing them into `data` .

### Parameters

`data`

  Storage for the read data.

`size`

  Maximum numbe rof bytes to read

### Return Values

Returns the number of bytes actually removed.

### See Also

- EventBufferEvent::readBuffer